io.vertx.pgclient

## Interface PgPool

- All Superinterfaces:
    Pool, SqlClient

      public interface PgPool
      extends Pool

  A pool of PostgreSQL connections.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PgPool` | `pool()` Like `pool(PoolOptions)` with a default `poolOptions`.
    `static PgPool` | `pool(PgConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `static PgPool` | `pool(PoolOptions poolOptions)` Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with a default `poolOptions`.
    `static PgPool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static PgPool` | `pool(Vertx vertx, PgConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool(PgConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static PgPool` | `pool(Vertx vertx, PoolOptions poolOptions)` Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`.
    `static PgPool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `begin, close, getConnection, pool, pool, pool, preparedQuery, query`

- - ### Method Detail

    - #### pool

          static PgPool pool()

      Like `pool(PoolOptions)` with a default `poolOptions`.

    - #### pool

          static PgPool pool(PoolOptions poolOptions)

      Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.

    - #### pool

          static PgPool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with a default `poolOptions`.

    - #### pool

          static PgPool pool(String connectionUri,
                             PoolOptions poolOptions)

      Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static PgPool pool(Vertx vertx,
                             String connectionUri)

      Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`.

    - #### pool

          static PgPool pool(Vertx vertx,
                             PoolOptions poolOptions)

      Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.

    - #### pool

          static PgPool pool(Vertx vertx,
                             String connectionUri,
                             PoolOptions poolOptions)

      Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static PgPool pool(PgConnectOptions connectOptions,
                             PoolOptions poolOptions)

      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static PgPool pool(Vertx vertx,
                             PgConnectOptions connectOptions,
                             PoolOptions poolOptions)

      Like `pool(PgConnectOptions, PoolOptions)` with a specific `Vertx` instance.

Copyright © 2021 Eclipse. All rights reserved.